<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.591
Name: Conclusion Pathology Entry
Description: Conclusion Pathology Entry, per monster
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000">
   <title>Conclusion Pathology Entry</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]
Item: (ConclusionPathologyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]"
         id="tmp-r-34418894-fd45-4e1b-9e19-0a536a94fd4b">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']])&gt;=1 and not(hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]/@nullFlavor)">(ConclusionPathologyEntry): element hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']])&lt;=1">(ConclusionPathologyEntry): element hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]
Item: (ConclusionPathologyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]"
         id="tmp-r-67d98656-0d2e-4d7f-88b3-eacde41fc8aa">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="string(@classCode)='ACT'">(ConclusionPathologyEntry): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="string(@moodCode)='EVN'">(ConclusionPathologyEntry): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591'])&gt;=1 ">(ConclusionPathologyEntry): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591'])&lt;=1">(ConclusionPathologyEntry): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ConclusionPathologyEntry): element hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ConclusionPathologyEntry): element hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:specimen)&lt;=1">(ConclusionPathologyEntry): element hl7:specimen komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']
Item: (ConclusionPathologyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']"
         id="tmp-r-12b1346d-7a38-40df-b2af-9475decf321d">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologyEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.591'">(ConclusionPathologyEntry): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.591' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ConclusionPathologyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-80f188d4-67c2-4afc-b218-5e46d4a1a40a">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologyEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="@nullFlavor or (@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')">(ConclusionPathologyEntry): de elementwaarde MOET zijn code 'X-LAB-SPMSCT' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:specimen
Item: (ConclusionPathologyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:specimen"
         id="tmp-r-40e89bdd-635a-457e-928c-f757fb65dd56">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="string(@typeCode)='SPC'">(ConclusionPathologyEntry): de waarde van @typeCode MOET 'SPC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:specimenRole)&gt;=1 and not(hl7:specimenRole/@nullFlavor)">(ConclusionPathologyEntry): element hl7:specimenRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:specimenRole)&lt;=1">(ConclusionPathologyEntry): element hl7:specimenRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:specimen/hl7:specimenRole
Item: (ConclusionPathologyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:specimen/hl7:specimenRole"
         id="tmp-r-c5b8aac2-02d8-405e-8410-2e77b30a4747">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="string(@classCode)='SPEC'">(ConclusionPathologyEntry): de waarde van @classCode MOET 'SPEC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ConclusionPathologyEntry): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140911T134636/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:id)&lt;=1">(ConclusionPathologyEntry): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:specimen/hl7:specimenRole/hl7:id
Item: (ConclusionPathologyEntry)
-->
</pattern>
